Update the current enabled status of an automatic update feature
Updates the enabled status of the automatic update feature to reflect any changes. This is useful when you need to manage update settings and ensure compliance with the EULA.
HTTP method and endpoint
PATCH /support/auto-update
Introduced in
ONTAP 9.10
Usage notes
Updates the current enabled status of the automatic update feature and accepts the EULA.
Request Body
Response
Status: 200, Ok
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
262179 |
Unexpected argument. |
131072216 |
Automatic update requires AutoSupport to be enabled. |
131072217 |
Automatic update requires AutoSupport OnDemand to be enabled. |
131072218 |
Automatic update requires AutoSupport to use the HTTPS transport. |
Also see the table of common errors in the Response body overview section of this documentation.
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
self
_links
eula
| Name | Type | Description |
|---|---|---|
accepted |
boolean |
Flag indicating the End User License Agreement (EULA) acceptance. When the feature is enabled, it is assumed that the EULA is accepted. |
accepted_ip_address |
string |
IP Address from where the EULA was accepted. |
accepted_timestamp |
string |
Date and time when the EULA was accepted. |
user_id_accepted |
string |
User ID that provided the EULA acceptance. |
auto_update_info
| Name | Type | Description |
|---|---|---|
_links |
||
enabled |
boolean |
Flag indicating feature state. |
eula |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |